Page MenuHomePhabricator

remotefilelog: add 'changelog' arg to shallowcg1packer.generate (issue6269)
ClosedPublic

Authored by pulkit on Feb 19 2020, 3:26 AM.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

pulkit created this revision.Feb 19 2020, 3:26 AM
marmoute requested changes to this revision.Feb 24 2020, 10:40 AM
marmoute added a subscriber: marmoute.
marmoute added inline comments.
hgext/remotefilelog/shallowbundle.py
62

Since this is a keyword argument, this seems safer to pass it to the superclass as a keyword argument too. This will avoid sneaky issue if more argument are added.

This revision now requires changes to proceed.Feb 24 2020, 10:40 AM
pulkit updated this revision to Diff 20287.Feb 24 2020, 1:00 PM
pulkit marked an inline comment as done.Feb 24 2020, 1:02 PM
marmoute accepted this revision.Feb 25 2020, 4:52 AM

I just mean to use changelog=changelog in the super call... but this actually looks more robust.

This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.
pulkit added a subscriber: durin42.Mar 1 2020, 6:11 AM

This was meant for stable branch, can we graft it to stable before the upcoming minor release? (cc: @durin42)

Is there a chance to get this fix in an upcoming minor release?

This is released as part of 5.3.1